<!DOCTYPE html>
<html lang="en">
  <head>
    <title>ArcDescription Structure Reference</title>
    <link rel="stylesheet" type="text/css" href="../../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../../js/jquery.min.js" defer></script>
    <script src="../../js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a name="//apple_ref/swift/Struct/ArcDescription" class="dashAnchor"></a>
    <a title="ArcDescription Structure Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../../index.html"> Docs</a> (96% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../../index.html"> Reference</a>
        <img id="carat" src="../../img/carat.png" />
        ArcDescription Structure Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Protocols/Place.html">Place</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Protocols.html#/s:8PetriNet10TransitionP">Transition</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Structs/Marking.html">Marking</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/PetriNet.html">PetriNet</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/PetriNet/ArcDescription.html">– ArcDescription</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Structs/TotalMap.html">TotalMap</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>ArcDescription</h1>
              <div class="declaration">
                <div class="language">
                  <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">struct</span> <span class="kt">ArcDescription</span></code></pre>

                </div>
              </div>
            <p>The description of an arc.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:8PetriNetAAV14ArcDescriptionV3pre4from2to7labeledADyxq__Gx_q_SitFZ"></a>
                    <a name="//apple_ref/swift/Method/pre(from:to:labeled:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:8PetriNetAAV14ArcDescriptionV3pre4from2to7labeledADyxq__Gx_q_SitFZ">pre(from:to:labeled:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Creates the description of a precondition arc.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="nf">pre</span><span class="p">(</span>
  <span class="n">from</span> <span class="nv">place</span><span class="p">:</span> <span class="kt">PlaceType</span><span class="p">,</span>
  <span class="n">to</span> <span class="nv">transition</span><span class="p">:</span> <span class="kt">TransitionType</span><span class="p">,</span>
  <span class="n">labeled</span> <span class="nv">label</span><span class="p">:</span> <span class="kt">Int</span> <span class="o">=</span> <span class="mi">1</span><span class="p">)</span>
  <span class="o">-&gt;</span> <span class="kt">ArcDescription</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>place</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>The place from which the arc comes.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>transition</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>The transition to which the arc goes.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>label</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>The arc&rsquo;s label.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:8PetriNetAAV14ArcDescriptionV4post4from2to7labeledADyxq__Gq__xSitFZ"></a>
                    <a name="//apple_ref/swift/Method/post(from:to:labeled:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:8PetriNetAAV14ArcDescriptionV4post4from2to7labeledADyxq__Gq__xSitFZ">post(from:to:labeled:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Creates the description of a postcondition arc.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="kd">func</span> <span class="nf">post</span><span class="p">(</span>
  <span class="n">from</span> <span class="nv">transition</span><span class="p">:</span> <span class="kt">TransitionType</span><span class="p">,</span>
  <span class="n">to</span> <span class="nv">place</span><span class="p">:</span> <span class="kt">PlaceType</span><span class="p">,</span>
  <span class="n">labeled</span> <span class="nv">label</span><span class="p">:</span> <span class="kt">Int</span> <span class="o">=</span> <span class="mi">1</span><span class="p">)</span>
  <span class="o">-&gt;</span> <span class="kt">ArcDescription</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>transition</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>The transition from which the arc comes.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>place</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>The place to which the arc goes.</p>
                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>label</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>The arc&rsquo;s label.</p>
                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2019 <a class="link" href="" target="_blank" rel="external"></a>. All rights reserved. (Last updated: 2019-10-01)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.11.2</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
